Skip to main content
GET
https://your-rootprint-host
/
api
/
api-keys
List API keys
curl --request GET \
  --url https://your-rootprint-host/api/api-keys \
  --cookie better-auth.session_token=
[
  {
    "id": 123,
    "name": "<string>",
    "tokenPrefix": "<string>",
    "indexId": "<string>",
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdByUserId": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Query Parameters

role
enum<string>

Filter by role.

Available options:
ingest,
search

Response

API keys.

id
integer
required
name
string
required
tokenPrefix
string
required
role
enum<string>
required
Available options:
ingest,
search
indexId
string
required
lastUsedAt
string<date-time> | null
required
createdAt
string<date-time>
required
createdByUserId
string
required